<?php
/**
 * Este processo irá pegar as autorizações de faturamento que foram aprovadas no sistema web
 * e as enviará para o banco local.
 */
date_default_timezone_set('America/Bahia');
function connLocal(){
   // $db = mysqli_connect("localhost", "unidosimportados", "Chamod777", "unidosim_db") or die("Erro ao selecionar banco");
   $db = mysqli_connect("localhost", "root", "", "unidos") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}
function connWeb(){
   $db = mysqli_connect("mysql60-farm2.uni5.net", "unidosimportad02", "Xtdc122714", "unidosimportad02") or die("Erro ao selecionar banco");
   //   $db = mysqli_connect("localhost", "root", "", "unidos_web") or die("Erro ao selecionar banco");
   mysqli_set_charset($db,"utf8");
   return $db;
}
$connLocal = connLocal();
$connWeb = connWeb();

/**
 * Pegar solicitações autorizadas pelo cliente
 */
$getAutorizacoes = mysqli_query($connWeb, "SELECT * FROM autorizacao_faturamento_web 
   WHERE situacao IN ('2','3') AND termos_accept IN ('1','2') AND control_import = '0'");
if (mysqli_num_rows($getAutorizacoes) > 0) {
   while ($value = mysqli_fetch_array($getAutorizacoes)) {

      $apt = $value['situacao'] == 2 ? 1 : 2;

      /**
       * Atualizar no banco local a situação deste faturamento
       */
      $att = mysqli_query($connLocal, "UPDATE autorizacao_faturamento 
        SET situacao_web = '".$apt."',pdf_doc = '".$value['pdf_doc']."', text_web = '".$value['obs']."' 
        WHERE id = '".$value['id_autorizacao']."'");

        if ($att) {
          $up_control  = mysqli_query($connWeb, "UPDATE autorizacao_faturamento_web 
            SET control_import = '1' 
            WHERE id = '".$value['id']."'");
        }

   }
}